ViterbiR2O4::candStruct Struct Reference

`#include <ViterbiR204.h>`

## Public Attributes

uint32_t | iState
| encoder input associated with this candidate
uint32_t | oState
| encoder output associated with this candidate
float | cost
| cost (metric value), float to support soft inputs
int | bitErrorCnt
| number of bit errors in the encoded vector being decoded.

## Detailed Description

A candidate sequence in a Viterbi decoder. The 32-bit state register can support a deferral of 6 with a 4th-order coder.

## Member Data Documentation

## bitErrorCnt

int ViterbiR2O4::candStruct::bitErrorCnt

number of bit errors in the encoded vector being decoded.

Referenced by ViterbiR2O4::vitClear().

## cost

float ViterbiR2O4::candStruct::cost

cost (metric value), float to support soft inputs

Referenced by ViterbiR2O4::vitClear().

## iState

uint32_t ViterbiR2O4::candStruct::iState

encoder input associated with this candidate

Referenced by ViterbiR2O4::vitClear().

## oState

uint32_t ViterbiR2O4::candStruct::oState

encoder output associated with this candidate

Referenced by ViterbiR2O4::vitClear().

The documentation for this struct was generated from the following file:

- ViterbiR204.h